<div *ngIf="stationService.currentData === null">
  <div fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="center center">
    <div fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="8px" class="text-white">
      <mat-icon>sentiment_dissatisfied</mat-icon>
      <span>
        {{ 'COMPONENTS.TANKDATEN.NO_DATA' | translate }}
      </span>
    </div>
  </div>
</div>

<div *ngIf="stationService.isLoading" fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="center center">
  <div fxLayout="row" class="loading-bar">
    <mat-progress-bar mode="buffer"></mat-progress-bar>
  </div>
  <span class="text-white">{{ 'COMPONENTS.TANKDATEN.SEARCHING' | translate }}</span>
</div>

<section [fxHide]="stationService.currentData === null" [@fadeInOut]>
  <div fxLayout="row" fxLayoutAlign="end center">
    <button type="button" mat-raised-button (click)="enableAndRouteCardMode()">
      <mat-icon>view_module</mat-icon>
      {{ 'COMPONENTS.TANKDATEN.CARDMODE' | translate }}
    </button>
  </div>

  <div fxLayout="column" fxLayoutGap="20px">
    <app-station-table [tableName]="'favorites'" title="{{ 'COMPONENTS.TANKDATEN.FAVORITES' | translate }}"></app-station-table>
    <app-station-table [tableName]="'overview'" title="{{ 'COMPONENTS.TANKDATEN.OVERVIEW' | translate }}"></app-station-table>
    <app-station-table [tableName]="'hidden'" title="{{ 'COMPONENTS.TANKDATEN.HIDDEN' | translate }}"></app-station-table>
  </div>
</section>
